def indivCellVoltage(cell_type, cell_id, axes, *args, **kwargs):
    '''this will plot voltage at soma (and basal and apical dendrites in case of pyramidal cell), for a cell of type cell_type, and id number of cell_id. axes is the axes where plotting will take place'''
    if cell_type == 'pyr':
       	this_cell = net.pyr.cell[cell_id]
        somavoltvec = np.array(this_cell.soma_volt)
        bdendvoltvec = np.array(this_cell.Bdend_volt)
        adend3voltvec = np.array(this_cell.Adend3_volt)
        voltveclist = [somavoltvec, bdendvoltvec, adend3voltvec]
        timearr = np.linspace(0, h.tstop, somavoltvec.size)
        axes.plot(timearr, somavoltvec, color='b', label='soma', *args, **kwargs)
        axes.plot(timearr, bdendvoltvec, color='g', label='basal_dend', *args, **kwargs)
        axes.plot(timearr, adend3voltvec, color='r', label='apical_dend', *args, **kwargs)
        axes.set_title('pyr, ID: ' + str(cell_id))
    elif cell_type == 'bas':
    	this_cell = net.bas.cell[cell_id]
        somavoltvec = np.array(this_cell.soma_volt)
        timearr = np.linspace(0, h.tstop, somavoltvec.size)
        axes.plot(timearr, somavoltvec, color='b', label='soma', *args, **kwargs)
        axes.set_title('bas, ID: ' + str(cell_id))
    elif cell_type == 'olm':
    	this_cell = net.olm.cell[cell_id]
        somavoltvec = np.array(this_cell.soma_volt)
        timearr = np.linspace(0, h.tstop, somavoltvec.size)
        axes.plot(timearr, somavoltvec, color='b', label='soma', *args, **kwargs)
        axes.set_title('olm, ID: ' + str(cell_id))
    axes.set_xlabel('time (ms)')
    axes.set_ylabel('voltage (mV)')
    axes.legend(loc=0, handlelength=5, handletextpad=0.5)
    mp.draw()

