def plotVoltageCells():
    '''Plot voltages of somas of pyramidal and olm cells on a single pair of axes. Returns the instance of axes'''
    voltfig, voltax = mp.subplots(1,1)
    voltax.plot(timeVector, pyrsomaVector, color = 'red', label = 'pyr soma')
    voltax.plot(timeVector, olmsomaVector, color = 'blue', label = 'OLM soma')
    voltax.set_xlabel('time (ms)')
    voltax.set_ylabel('voltage (mV)')
    voltax.legend(loc=0, handlelength=5, handletextpad=0.5)
    voltax.figure.suptitle('injected current = ' + str(olmcell.somaInj.amp) + ' nA')
    mp.draw()
    return voltax

