def plotVoltages():
  '''Plot voltages of soma, distal apical dendrite and basal dendrite on a single pair of axes. Returns the the instance of axes'''
  voltfig, voltax = mp.subplots(1,1)
  voltax.plot(timeVector, somaVector, color = 'red', label = 'soma')
  voltax.plot(timeVector, apicaldendVector, color = 'green', label = 'distal apical dendrite')
  voltax.plot(timeVector, basaldendVector, color = 'blue', label = 'basal dendrite')
  voltax.set_xlabel('time (ms)')
  voltax.set_ylabel('voltage (mV)')
  voltax.legend(loc=0, handlelength=5, handletextpad=0.5)
  voltax.figure.suptitle('injected current = ' + str(pyrcell.somaInj.amp) + ' nA')
  mp.draw()
  return voltax

